Bug 466406 - kernel BUG warning: fs/ext3/inode.c:1604/ext3_releasepage()
kernel BUG warning: fs/ext3/inode.c:1604/ext3_releasepage()
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
i686 Linux
medium Severity medium
: rc
: ---
Assigned To: Josef Bacik
Red Hat Kernel QE team
:
Depends On:
Blocks: 533192
  Show dependency treegraph
 
Reported: 2008-10-10 00:40 EDT by Bill McGonigle
Modified: 2017-04-04 16:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-04 16:42:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
egrep '2.6.18|BUG' /var/log/kern.log | uniq -c (164.04 KB, text/plain)
2010-07-26 15:13 EDT, Bill McGonigle
no flags Details

  None (edit)
Description Bill McGonigle 2008-10-10 00:40:51 EDT
Description of problem:

Got a bunch of these on console/dmesg:

BUG: warning at fs/ext3/inode.c:1604/ext3_releasepage() (Tainted: P     )
 [<f887c366>] ext3_releasepage+0x49/0x67 [ext3]
 [<f887c31d>] ext3_releasepage+0x0/0x67 [ext3]
 [<c04710dc>] try_to_release_page+0x34/0x46
 [<c0459bf0>] pagevec_strip+0x2f/0x3f
 [<c045a6e5>] shrink_active_list+0x211/0x37d
 [<c045b12c>] shrink_zone+0xb2/0xeb
 [<c045b5b1>] kswapd+0x294/0x399
 [<c04363d7>] autoremove_wake_function+0x0/0x2d
 [<c045b31d>] kswapd+0x0/0x399
 [<c0436315>] kthread+0xc0/0xeb
 [<c0436255>] kthread+0x0/0xeb
 [<c0405c3b>] kernel_thread_helper+0x7/0x10

Version-Release number of selected component (if applicable):

  2.6.18-92.1.13.el5PAE

How reproducible:

  unknown, dmesg not being logged with timestamps, currently.

Actual results:

  haven't verified filesystem yet (on a production server that needs downtime scheduled).  Will add here when I know.

Expected results:

  no kernel bugs! :)

Additional info:

  filesystem is on a software RAID-1 on top of a 3Ware 9550SX on a supermicro board.
Comment 1 Bill McGonigle 2009-05-13 13:00:46 EDT
Update: finally rebooted (Oracle bombs with too much uptime...) - filesystem fsck's OK, but the dmesg errors persist.  Still on 5.2 on this machine.
Comment 2 Josef Bacik 2009-05-18 22:44:07 EDT
You mounting with any special options, or just defaults?  Anything odd happen leading up to this problem?
Comment 3 Bill McGonigle 2009-05-19 12:56:25 EDT
There are three ext3's mounted 'data=journal', and one 'defaults', but the defaults one is /boot which probably doesn't have any activity on it.

With the caveat that I don't know what I don't know, this appears to be asymptomatic aside from the kernel message.
Comment 4 Josef Bacik 2009-05-19 13:41:20 EDT
yes I don't believe this will cause any major issues, but keeping a good backup may be prudent just in case.  How much ram do you have?  Also, is there significant memory pressure when you are seeing these messages?  Or do you see them all the time, regardless of the load on the box?
Comment 5 Bill McGonigle 2009-05-19 15:53:01 EDT
This machine had 4GB of RAM on the standard 32-bit kernel, and it now has 12GB of RAM on the -PAE kernel.  With 4GB of RAM the machine was hammered, but now I rarely see usage north of 8GB on the munin graphs.  I've seen these under both memory conditions.

It does run a high load average on occasion, usually during nightly backups.  I see I didn't have timestamped kern.* logs on this machine (on now).  I'll see if the next one correlates to anything obvious.

I think I can also get it up to 5.3 in the next week or two.
Comment 6 RHEL Product and Program Management 2009-09-25 13:42:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Josef Bacik 2009-10-28 15:19:59 EDT
Has updating to 5.4 helped the matter any?
Comment 10 Bill McGonigle 2009-11-05 12:00:57 EST
Just to not leave your question hanging, I haven't had a reboot for the 5.4 kernel yet.  I will update when I do.

I still see it with the 5.3 kernel.
Comment 13 Josef Bacik 2010-07-26 14:28:33 EDT
Any updates on this?
Comment 14 Bill McGonigle 2010-07-26 15:13:39 EDT
Created attachment 434507 [details]
egrep '2.6.18|BUG' /var/log/kern.log | uniq -c

Thanks for the reminder.  Still there on 2.6.18-194.3.1.el5PAE:

Jul  2 23:50:13 affinity kernel: BUG: warning at fs/ext3/inode.c:1676/ext3_releasepage() (Tainted: GF    )
Jul  2 23:50:13 affinity kernel:  [<f887d44a>] ext3_releasepage+0x49/0x67 [ext3]
Jul  2 23:50:13 affinity kernel:  [<f887d401>] ext3_releasepage+0x0/0x67 [ext3]
Jul  2 23:50:13 affinity kernel:  [<c0475da2>] try_to_release_page+0x34/0x46
Jul  2 23:50:13 affinity kernel:  [<c045d24c>] pagevec_strip+0x2f/0x3f
Jul  2 23:50:13 affinity kernel:  [<c045df08>] shrink_active_list+0x254/0x3e3
Jul  2 23:50:13 affinity kernel:  [<c045ea4a>] shrink_zone+0xde/0x15b
Jul  2 23:50:13 affinity kernel:  [<c045ef09>] kswapd+0x28a/0x3ab
Jul  2 23:50:13 affinity kernel:  [<c04363ff>] autoremove_wake_function+0x0/0x2d
Jul  2 23:50:13 affinity kernel:  [<c045ec7f>] kswapd+0x0/0x3ab
Jul  2 23:50:13 affinity kernel:  [<c043633b>] kthread+0xc0/0xed
Jul  2 23:50:13 affinity kernel:  [<c043627b>] kthread+0x0/0xed
Jul  2 23:50:13 affinity kernel:  [<c0405c53>] kernel_thread_helper+0x7/0x10

also, attaching the output of:

  egrep '2.6.18|BUG' /var/log/kern.log | uniq -c

which shows that the occurrence is rather infrequent, but highly clustered when it occurs.
Comment 16 RHEL Product and Program Management 2010-12-07 04:55:26 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.6 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 17 RHEL Product and Program Management 2011-06-20 17:13:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 18 RHEL Product and Program Management 2012-01-09 08:51:01 EST
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.8 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 20 Chris Williams 2017-04-04 16:42:21 EDT
Red Hat Enterprise Linux 5 shipped it's last minor release, 5.11, on September 14th, 2014. On March 31st, 2017 RHEL 5 exits Production Phase 3 and enters Extended Life Phase. For RHEL releases in the Extended Life Phase, Red Hat  will provide limited ongoing technical support. No bug fixes, security fixes, hardware enablement or root-cause analysis will be available during this phase, and support will be provided on existing installations only.  If the customer purchases the Extended Life-cycle Support (ELS), certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release will be provided.  The specific support and services provided during each phase are described in detail at http://redhat.com/rhel/lifecycle

This BZ does not appear to meet ELS criteria so is being closed WONTFIX. If this BZ is critical for your environment and you have an Extended Life-cycle Support Add-on entitlement, please open a case in the Red Hat Customer Portal, https://access.redhat.com ,provide a thorough business justification and ask that the BZ be re-opened for consideration of an errata. Please note, only certain critical-impact security fixes and selected urgent priority bug fixes for the last minor release can be considered.

Note You need to log in before you can comment on or make changes to this bug.